gst-plugins-base0.10 (0.10.13-0osso42~diablo2) unstable; urgency=low

  * Remove unneeded stream-info handling, partially fixes: NB#82325

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 22 Apr 2008 15:19:58 +0300

gst-plugins-base0.10 (0.10.13-0osso42~diablo1) unstable; urgency=low

  * Enable udp transport for rtsp streams, Fixes:NB#81089 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 28 Feb 2008 15:34:28 +0200

gst-plugins-base0.10 (0.10.13-0osso42~diablo) unstable; urgency=low

  * Add byte limit to network buffer as well. This is in case that
    someone tweaks the source element blocksize to be something big.
    Partially fixes: NB#77912

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 29 Jan 2008 15:49:05 +0200

gst-plugins-base0.10 (0.10.13-0osso42~chinook) unstable; urgency=low

  * Make sure min-threshold-time is reset when buffer is full, Fixes:NB#66949 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  5 Nov 2007 18:21:18 +0200

gst-plugins-base0.10 (0.10.13-0osso41) unstable; urgency=low

  * Fix buffer offsets in gnomevfssrc. Needed for NB#62104

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 15 Oct 2007 10:13:18 +0300

gst-plugins-base0.10 (0.10.13-0osso40) unstable; urgency=low

  * Queue2 eos handling fix from:
    http://bugzilla.gnome.org/show_bug.cgi?id=476514 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  1 Oct 2007 19:07:29 +0300

gst-plugins-base0.10 (0.10.13-0osso39) unstable; urgency=low

  * Remove GST_OBJECT_LOCKing from gnomevfssrc since it blocks 
    playbin queries. Fixes: NB#70407, NB#71199
  * Throw error if sink cannot be linked. Fixes: NB#67121

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  1 Oct 2007 16:23:22 +0300

gst-plugins-base0.10 (0.10.13-0osso38) unstable; urgency=low

  * Reverted changeset 6180 (RTSP buffering fix) since it broke things.
    Fixes: NB#71465

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  1 Oct 2007 12:05:49 +0300

gst-plugins-base0.10 (0.10.13-0osso37) unstable; urgency=low

  * Now playbin uses buffering for Samba shares. Fixes: NB#62485

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 28 Sep 2007 17:30:47 +0300

gst-plugins-base0.10 (0.10.13-0osso36) unstable; urgency=low

  * Increase multiqueue runtime max size time 2 -> 5 seconds. 
    Fixes: NB#69937

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 27 Sep 2007 16:54:42 +0300

gst-plugins-base0.10 (0.10.13-0osso35) unstable; urgency=low

  * Added rtsp:// in the list of streaming protocols in playbasebin.
    Fixes: NB#63879

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 26 Sep 2007 11:00:51 +0300

gst-plugins-base0.10 (0.10.13-0osso34) unstable; urgency=low

  * Fixed a possible deadlock in gnomevfssrc. Fixes: NB#69993

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 20 Sep 2007 10:30:11 +0300

gst-plugins-base0.10 (0.10.13-0osso33) unstable; urgency=low

  * Video basesink now rounds up the width when src_ratio < dst_ratio.
    Fixes: NB#69927

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 19 Sep 2007 10:11:13 +0300

gst-plugins-base0.10 (0.10.13-0osso32) unstable; urgency=low

  * Workaround to deadlock when changing decodebin2
    state from paused to ready while typefinding, Fixes: NB#62857
  * Fix warning with metadata pipeline

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 18 Sep 2007 18:06:03 +0300

gst-plugins-base0.10 (0.10.13-0osso31) unstable; urgency=low

  * Improve file access mode logic. 

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 18 Sep 2007 17:51:29 +0300

gst-plugins-base0.10 (0.10.13-0osso30) unstable; urgency=low

  * Applied a patch from Olivier Crete. Fixes: NB#69683

 -- Felipe Contreras <felipe.contreras@nokia.com>  Mon, 17 Sep 2007 09:10:21 +0300

gst-plugins-base0.10 (0.10.13-0osso29) unstable; urgency=low

  * Fix ISO/IEC 14496-12 typefinding. Fixes NB#66725.

 -- Felipe Contreras <felipe.contreras@nokia.com>  Thu, 13 Sep 2007 14:02:55 +0300

gst-plugins-base0.10 (0.10.13-0osso28) unstable; urgency=low

  * Now PlayBin applies the current volume when audio sink is created.
    Fixes: NB#69276

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 13 Sep 2007 13:43:07 +0300

gst-plugins-base0.10 (0.10.13-0osso27) unstable; urgency=low

  * Added mute property 
  * Mixer interface handling improvements

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 12 Sep 2007 12:07:12 +0300

gst-plugins-base0.10 (0.10.13-0osso26) unstable; urgency=low

  * Aggregating read in gnomevfssrc to fix streaming. Fallback to non random
    io, if seeking fails. Fixes NB#68384

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 11 Sep 2007 14:01:12 +0300

gst-plugins-base0.10 (0.10.13-0osso25) unstable; urgency=low

  * Fix RTSP library to avoid reading partial messages

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 11 Sep 2007 13:10:52 +0300

gst-plugins-base0.10 (0.10.13-0osso24) unstable; urgency=low

  * Plug more decodebin2 leaks. 

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 11 Sep 2007 09:22:34 +0300

gst-plugins-base0.10 (0.10.13-0osso23) unstable; urgency=low

  * Only try random-access if we're not in iradio-mode. Fixes NB#68769.

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 10 Sep 2007 17:15:37 +0300

gst-plugins-base0.10 (0.10.13-0osso22) unstable; urgency=low

  * Backport leak fix (xvimagink, ximagesink) from upstream.

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 10 Sep 2007 11:16:35 +0300

gst-plugins-base0.10 (0.10.13-0osso21) unstable; urgency=low

  * Relax multiqueue runtime limits, Fixes: NB#68620 

 -- Stefan Kost <stefan.kost@nokia.com>  Fri,  7 Sep 2007 12:02:58 +0300

gst-plugins-base0.10 (0.10.13-0osso20) unstable; urgency=low

  * Fix clearing the wrong flag in gnomevfssrc open-mode. 

 -- Stefan Kost <stefan.kost@nokia.com>  Fri,  7 Sep 2007 11:12:08 +0300

gst-plugins-base0.10 (0.10.13-0osso19) unstable; urgency=low

  * Blacklist obex for random access.
  * If random-access fails, retry without. 

 -- Stefan Kost <stefan.kost@nokia.com>  Wed,  5 Sep 2007 11:14:04 +0300

gst-plugins-base0.10 (0.10.13-0osso18) unstable; urgency=low

  * Enable random-mode for http by default. Needed for NB#62104
  * New typefinder for video/mp4. Fixes NB#66478

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 31 Aug 2007 14:19:06 +0300

gst-plugins-base0.10 (0.10.13-0osso17) unstable; urgency=low

  * Unblacklist http for random-access.

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 29 Aug 2007 17:44:49 +0300

gst-plugins-base0.10 (0.10.13-0osso16) unstable; urgency=low

  * Removed forced state change after buffering 

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 22 Aug 2007 10:53:54 +0300

gst-plugins-base0.10 (0.10.13-0osso15) unstable; urgency=low

  * Backported SDP and RTSP libraries from CVS in order to use
    latest RTSP plugin in plugins-good.

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 20 Aug 2007 10:22:19 +0300

gst-plugins-base0.10 (0.10.13-0osso14) unstable; urgency=low

  * Fix deadlock in queue2. Fixes: NB#63806

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 13 Aug 2007 16:57:52 +0300

gst-plugins-base0.10 (0.10.13-0osso13) unstable; urgency=low

  * Reverted back the StreamSelector patch. It broke local playback
  * Applied yet another patch from GST CVS:
      http://bugzilla.gnome.org/show_bug.cgi?id=465015

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  9 Aug 2007 15:51:57 +0300

gst-plugins-base0.10 (0.10.13-0osso12) unstable; urgency=low

  * Imported two patches from GST CVS to improve MMS streaming:
    * http://bugzilla.gnome.org/show_bug.cgi?id=464028
    * http://bugzilla.gnome.org/show_bug.cgi?id=462740

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  9 Aug 2007 11:20:48 +0300

gst-plugins-base0.10 (0.10.13-0osso11) unstable; urgency=low

  * Fix queue2 eos handling. Fixes: NB#63822  

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  6 Aug 2007 14:45:46 +0300

gst-plugins-base0.10 (0.10.13-0osso10) unstable; urgency=low

  * playbasebin ignores preroll queue overrun signal if separate
    network queue element is used.

 -- Stefan Kost <stefan.kost@nokia.com>  Fri,  3 Aug 2007 15:53:38 +0300

gst-plugins-base0.10 (0.10.13-0osso9) unstable; urgency=low

  * Backported decodebin2 from GStreamer CVS. Fixes: NB#64392

 -- Stefan Kost <stefan.kost@nokia.com>  Wed,  1 Aug 2007 16:28:33 +0300

gst-plugins-base0.10 (0.10.13-0osso8) unstable; urgency=low

  * Changed network queue usage in playbasebin to be changeable
    via property.

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 25 Jul 2007 16:42:45 +0300

gst-plugins-base0.10 (0.10.13-0osso7) unstable; urgency=low

  * The size was bumped a bit too much. Correcting. 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 23 Jul 2007 15:11:18 +0300

gst-plugins-base0.10 (0.10.13-0osso6) unstable; urgency=low

  * Bump queue sizes in decodebin2 (like in gst-cvs head). Disable decodebin
    in favour of decodebin2.

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 19 Jul 2007 17:47:09 +0300

gst-plugins-base0.10 (0.10.13-0osso5) unstable; urgency=low

  * Make alsa secondary rank.

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 17 Jul 2007 15:26:40 +0300

gst-plugins-base0.10 (0.10.13-0osso4) unstable; urgency=low

  * Added option to omit videoscale and colorspace from pipeline, 
    partially fixes: NB#58664 

 -- Janne Manninen <janne.manninen@nokia.com>  Thu,  5 Jul 2007 11:07:17 +0300

gst-plugins-base0.10 (0.10.13-0osso3) unstable; urgency=low

  * Fixed bad merge, suppresses glib warnings when stopping 

 -- Janne Manninen <janne.manninen@nokia.com>  Wed, 13 Jun 2007 11:23:50 +0300

gst-plugins-base0.10 (0.10.13-0osso2) unstable; urgency=low

  * Fixing bad merges

 -- Janne Manninen <janne.manninen@nokia.com>  Tue, 12 Jun 2007 16:52:30 +0300

gst-plugins-base0.10 (0.10.13-0osso1) unstable; urgency=low

  * Upgrade to 0.10.13

 -- Janne Manninen <janne.manninen@nokia.com>  Tue, 12 Jun 2007 14:42:48 +0300

gst-plugins-base0.10 (0.10.12-0osso7) unstable; urgency=low

  * Removed dependency to libxt-dev package. Fixes: NB#51051

 -- Janne Manninen <janne.manninen@nokia.com>  Thu,  7 Jun 2007 14:05:18 +0300

gst-plugins-base0.10 (0.10.12-0osso6) unstable; urgency=low

  * Set rtspsrc protocols to tcp
  * Use queue2 for buffering
  * Prevent playback from starting until buffering finishes,
    partially Fixes: NB#55112
  * Add --disable-nls to rules

 -- Janne Manninen <janne.manninen@nokia.com>  Thu, 31 May 2007 12:34:44 +0300

gst-plugins-base0.10 (0.10.12-0osso5) unstable; urgency=low

  * Building static libraries disabled.

 -- Janne Manninen <janne.manninen@nokia.com>  Mon, 14 May 2007 12:10:34 +0300

gst-plugins-base0.10 (0.10.12-0osso4) unstable; urgency=low

  * link libgstrtp against libgstbase, Fixes:NB#56622 

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 11 May 2007 11:45:55 +0300

gst-plugins-base0.10 (0.10.12-0osso3) unstable; urgency=low

  * Reapply RTP Baseclass chage to make G729 payloader work

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 10 May 2007 09:21:57 +0300

gst-plugins-base0.10 (0.10.12-0osso2) unstable; urgency=low

  * Pause sinks during buffering
  * Fix lost video after buffering
  * Fixes: NB#54279

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Thu,  3 May 2007 15:02:56 +0300

gst-plugins-base0.10 (0.10.12-0osso1) unstable; urgency=low

  * Upgrade to gst-plugins-base 0.10.12 
  * Added upnp and obex as streaming protocols to playbin, Fixes: NB#55112
  * Buffering fix, Fixes: NB#54561
  * Added obex as supported protocol to gnomevfssrc, Fixes: NB#54563

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Wed, 21 Mar 2007 17:03:37 +0200

gst-plugins-base0.10 (0.10.9-osso15) unstable; urgency=low

  * add audioresample for i386 in extra

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Fri, 15 Dec 2006 16:11:47 +0200

gst-plugins-base0.10 (0.10.9-osso14) unstable; urgency=low

  * Does not ask file information from UPnP URIs. Fixes: NB#47081

 -- Janne Manninen <janne.manninen@nokia.com>  Wed, 29 Nov 2006 09:57:02 +0200

gst-plugins-base0.10 (0.10.9-osso13) unstable; urgency=low

  * Alsa is not included on armel Fixes: NB#48108 

 -- Janne Manninen <janne.manninen@nokia.com>  Thu, 23 Nov 2006 12:16:55 +0200

gst-plugins-base0.10 (0.10.9-osso12) unstable; urgency=low

  * make gnomevfs hack optional (gobject property 'random-access')
  * readd the expose hack, sync with upstream cvs required for: NB#46112
    Fixes: NB#45070

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 16 Nov 2006 16:34:26 +0200

gst-plugins-base0.10 (0.10.9-osso11) unstable; urgency=low

  * clear video when going to NULL, Fixes: NB#46112
  * disabled NAVIAGTION events (fixes full screen switching via keys)
  * remove xerror handing patch again

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  9 Nov 2006 09:39:31 +0200

gst-plugins-base0.10 (0.10.9-osso10) unstable; urgency=low

  * videoscale, ximagesink and v4lsrc added to -extra package
  * Fixes: NB#44147

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  8 Nov 2006 17:47:44 +0200

gst-plugins-base0.10 (0.10.9-osso9) unstable; urgency=low

  * Add h263 variant to caps, Fixes NB#39590

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 26 Oct 2006 15:35:49 +0300

gst-plugins-base0.10 (0.10.9-osso8) unstable; urgency=low

  * Base extra package created Fixes NB#42168
  * add patch for AV-Sync, partialy Fixes NB#42683

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 20 Oct 2006 16:23:19 +0300

gst-plugins-base0.10 (0.10.9-osso7) unstable; urgency=low

  * add XError handling for xvimagesink (needed by RTC). Fixes: NB#41569

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 27 Sep 2006 15:22:58 +0300

gst-plugins-base0.10 (0.10.9-osso6) unstable; urgency=low

  * Add new interface to control video orientation (needed for video
    video flipping in v4l2src)
  * Added RealMedia type detection
  * Fixes: NB#40606

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 21 Sep 2006 15:40:23 +0300

gst-plugins-base0.10 (0.10.9-osso5) unstable; urgency=low

  * Added dirty hack to fix fullscreen switching problem:
    - Window configure events are not handled anymore (no redraw)
    - preroll handler is commented out for now
  * Fixes: NB#37391, NB#37150

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 15 Sep 2006 12:09:01 +0300

gst-plugins-base0.10 (0.10.9-osso4) unstable; urgency=low

  * Xvimagesink now checks the "max_value" before setting XV_COLORKEY
  * xvimage assumed that XV_COLORKEY can be set in RGB888 format only
    http://bugzilla.gnome.org/show_bug.cgi?id=354773
  * Fixes: NB#39223 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 14 Sep 2006 10:54:29 +0300

gst-plugins-base0.10 (0.10.9-osso3) unstable; urgency=low

  * Make insternet radio streams work again in gnomevfssrc

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  7 Sep 2006 15:08:48 +0300

gst-plugins-base0.10 (0.10.9-osso2) unstable; urgency=low

  * Add support for streaming from Upnp AVV servers (backport from 
    gstreamer cvs HEAD)
  * Added locking to gnomevfssrc to fix race in metadata reading

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri,  1 Sep 2006 13:35:15 +0300

gst-plugins-base0.10 (0.10.9-osso1) unstable; urgency=low

  * New upstream release 0.10.9

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  1 Aug 2006 14:33:28 +0300

gst-plugins-base0.10 (0.10.6-osso4) unstable; urgency=low

  * Fixed memleak and fix for bug 32273.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 14 Jun 2006 14:08:54 +0300

gst-plugins-base0.10 (0.10.6-osso3) unstable; urgency=low

  * Fixed bug 30329

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 2 Jun 2006 10:56:51 +0300

gst-plugins-base0.10 (0.10.6-osso2) unstable; urgency=low

  * Fixed bugs 27055 and 25365 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 19 May 2006 12:56:51 +0300

gst-plugins-base0.10 (0.10.6-osso1) unstable; urgency=low

  * New upstream release 0.10.6 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 15 May 2006 13:11:13 +0300

gst-plugins-base0.10 (0.10.5-osso7) unstable; urgency=low

  * Added riff-id "fact" 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  3 May 2006 14:14:10 +0300

gst-plugins-base0.10 (0.10.5-osso6) unstable; urgency=low

  * Fixed bug 27951

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 27 Apr 2006 14:29:34 +0300

gst-plugins-base0.10 (0.10.5-osso5) unstable; urgency=low

  * gnomevfs async fix reverted

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 25 Apr 2006 11:50:48 +0300

gst-plugins-base0.10 (0.10.5-osso4) unstable; urgency=low

  * Build fix

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 24 Apr 2006 10:50:48 +0300

gst-plugins-base0.10 (0.10.5-osso3) unstable; urgency=low

  * Added dep for gst_adapter_*

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 20 Apr 2006 20:50:48 +0300

gst-plugins-base0.10 (0.10.5-osso2) unstable; urgency=low

  * gst-libs/gst/rtp/gstrtpbuffer.h:
    Added GST_RTP_PAYLOAD_DYNAMIC_STRING for use by children
  * gst-libs/gst/rtp/gstbasertpaudiopayload.c:
  * gst-libs/gst/rtp/gstbasertpaudiopayload.h:
    New RTP audio base payloader class. Supports frame or sample based codecs

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 18 Apr 2006 17:05:42 +0300

gst-plugins-base0.10 (0.10.5-osso1) unstable; urgency=low

  * gst-plugins-base 0.10.5 release with a few patches not included in official release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 29 Mar 2006 17:09:37 +0300

gst-plugins-base0.10 (0.10.3-osso1) unstable; urgency=low

  * Initial GStreamer 0.10.3 release with a few patches not included in official release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 17 Feb 2006 08:43:09 +0200

